#ifndef BIRTHDAY3_H_
#define BIRTHDAY3_H_

#include <iostream>
using namespace std;

class Birthday
{
public:
    /**
     * Default constructor.
     */
    Birthday();

    /**
     * Constructor.
     * @param y the year
     * @param m the month
     * @param d the date
     */
    Birthday(int y, int m, int d);

    int get_year() const;
    int get_month() const;
    int get_date() const;

    void set_year(const int y);
    void set_month(const int m);
    void set_date(const int d);

    /**
     * Print a birthday in the format mm/dd/yy.
     */
    void print();

    friend ostream& operator <<(ostream& outs, const Birthday& bd);

private:
    int year, month, date;
};

#endif
